package com.engine.salary.service.auth;

import com.engine.salary.entity.auth.dto.AuthRoleDataDTO;
import com.engine.salary.entity.auth.param.AuthDataQueryParam;
import com.engine.salary.entity.auth.param.AuthDataSaveParam;
import com.engine.salary.entity.auth.param.AuthSyncParam;
import com.engine.salary.entity.auth.po.AuthDataPO;

import java.util.List;

/**
 * 数据
 * <p>Copyright: Copyright (c) 2024</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public interface AuthDataService {

    /**
     * 列表
     * @param roleId
     * @return
     */
    List<AuthDataPO> list(Long roleId);

    /**
     * 保存数据
     * @param params
     * @return
     */
    void save(List<AuthDataSaveParam> params);

    /**
     * 删除
     * @param ids
     */
    void delete(List<Long> ids);

    /**
     * 同步
     * @param param
     */
    void sync(AuthSyncParam param);

    void deleteByRoleId(Long roleId);

    List<AuthRoleDataDTO> listRoleData( AuthDataQueryParam param);
}
